<script lang="ts" setup>
import type { BaseCard, BaseForm } from '@/types/base';
import type { QuoteCard } from './quote/Card.vue';

interface DoubleColProps {
  card: BaseCard;
  form: BaseForm;
  quoteCarousel: QuoteCard;
}

defineProps<DoubleColProps>();
</script>

<template>
  <SlpSection class="sales-form" background-color="$color-surface-50">
    <SlpRow class="sales-form__row">
      <SlpColumn :cols="6" class="slp-pr-md-64">
        <SalesCard v-bind="card" />
        <SalesQuoteCarousel
          v-bind="quoteCarousel"
          class="sales-form__carousel"
          data-aos="fade-up"
          data-aos-duration="750"
        />
      </SlpColumn>
      <SlpColumn :cols="6" class="sales-form__column" data-aos="fade-up" data-aos-duration="750">
        <div class="form-wrapper">
          <CommonMktoForm v-bind="form" />
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpSection>
</template>

<style lang="scss" scoped>
.sales-form {
  @media (min-width: $breakpoint-md) {
    margin-top: 96px;
    margin-bottom: 96px;
  }
  &__row {
    flex-direction: column-reverse;

    @media (min-width: $breakpoint-md) {
      flex-direction: row;
    }
  }

  &__card_link {
    padding-left: 0;
  }

  &__carousel {
    margin-top: $spacing-64 !important;
  }

  &__column {
    margin-top: calc(($spacing-96 + $spacing-48) * -1);

    @media (max-width: $breakpoint-md) {
      margin-top: -97px;
    }

    @media (min-width: $breakpoint-md) {
      padding-left: 96px;
      padding-right: 32px;
    }
  }

  .form-wrapper {
    background: #fff;
    border: 1px solid rgba(0, 0, 0, 0.08);
    border-radius: 4px;
    padding: 32px;
    position: relative;
  }
}
</style>
